Subject: Bug#1474: keyboard and mouse stop working after a few minutes of inactivity

From: "K. Kirsa" <[email-masked]>
Date: Sun, 24 May 2020 10:14:22 +0200

Package: x2goserver
Version: 4.1.0.3-5

Ubuntu server 20.04 lts with xubuntu-desktop, installed on actual hardware, not a vm. No physical keyboard or mouse connected.

After a while of inactivitiy (neither keyboard nor mouse are being used for a few minutes), the keyboard and mouse controls are lost. The session itself does not freeze: Windows with constantly updating contents or panel plugins still work. Resizing the x2go client window correctly resizes the remote xfce desktop. It's just like the keyboard and mouse are being disconnected somehow.

It does not matter, if the x2go client (ms windows) stays connected or if I disnonnect and reconnect the client after a few minutes to resume the session: Keyboard and mouse even get lost during my "absence". The problem seems to be independent of the client. A new session suffers the same fate after a few minutes of inactivity.

I disabled the screensaver and session locking in xfce settings. There's nothing I'm aware of happening in xfce that could act as a trigger for the keyborad and mouse loss. I searched the logs but did not manage to find any errors.

Any ideas on where to look or what to try next?

BTW: The same machine works perfectly fine with 18.04 lts, xubuntu-desktop and x2goserver.